<template>
  <div :class="[isDark ? 'isDark' : '']">
    <navbar :shadowNav="shadowNav"
            @toggleDarkMode="toggleDarkMode()" />
    <transition appear
                name="slidein">
      <nuxt v-if="appear" />
    </transition>
    <bottom />
  </div>
</template>

<style>
html {
  background-color: config('colors.white');
  font-family: config('fonts.sans');
}
</style>

<script>
import navbar from '~/components/navbar'
import bottom from '~/components/bottom'

export default {
  components: {
    navbar,
    bottom
  },
  mounted() {
    this.initEvents()
  },
  destroyed() {
    this.removeEvents()
  },
  data() {
    return {
      appear: true,
      shadowNav: false
    }
  },
  computed: {
    isDark: function() {
      return this.$store.state.isDark
    }
  },
  methods: {
    toggleDarkMode() {
      this.$store.state.isDark = !this.$store.state.isDark
    },
    initEvents() {
      document.addEventListener('scroll', this.scrollEvent, {
        capture: true,
        passive: true
      })
    },
    removeEvents() {
      document.removeEventListener('scroll', this.scrollEvent)
    },
    scrollEvent(e) {
      window.scrollY > 10 ? this.shadowNav = true : this.shadowNav = false
    }
  }
}
</script>

